Bug 1411273 - Firefox and Thunderbird ignore font hinting settings
Summary: Firefox and Thunderbird ignore font hinting settings
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 10:23 UTC by Pierre Ossman
Modified: 2018-05-29 11:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:25:38 UTC
Type: Bug


Attachments (Terms of Use)
screenshot of thunderbird (46.61 KB, image/png)
2017-01-09 10:23 UTC, Pierre Ossman
no flags Details
screenshot of gtk-demo (31.80 KB, image/png)
2017-01-09 10:24 UTC, Pierre Ossman
no flags Details

Description Pierre Ossman 2017-01-09 10:23:16 UTC
Created attachment 1238617 [details]
screenshot of thunderbird

Regression after upgrade from Fedora 24 to Fedora 25.

Neither Firefox nor Thunderbird respect the font hinting setting anymore. Other applications work just fine AFAICT.

See attached screenshots for a comparison between Thunderbird and gtk-demo.

Comment 1 Pierre Ossman 2017-01-09 10:24:00 UTC
Created attachment 1238618 [details]
screenshot of gtk-demo

Comment 2 Pierre Ossman 2017-01-09 11:36:22 UTC
Found the reason. Fontconfig settings seem to trump session settings. And Fedora 25 has /etc/fonts/conf.d/10-hinting-slight.conf by default.

Feel free to pass around blame to where you feel this should be fixed. ;)

Comment 3 Pierre Ossman 2017-09-20 12:47:00 UTC
Still broken in Fedora 26.

firefox-55.0.3-1.fc26.x86_64
thunderbird-52.3.0-1.fc26.x86_64

Comment 4 Fedora End Of Life 2018-05-03 08:11:48 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 11:25:38 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.